﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Third.Bestseller.Entities
{
    [Api(Description = "报告结果推送结构")]
    public class ReportDetail
    {
        /// <summary>
        /// 报告号
        /// </summary>
        [ApiMember(Description = "报告号")]
        public string RPT_NO { get; set; }

        /// <summary>
        /// 报告结论(1-合格,2-不合格,4-实测)
        /// </summary>
        [ApiMember(Description = "报告结论(1-合格,2-不合格,4-实测)")]
        public string RPT_RESULT { get; set; }

        /// <summary>
        /// 检测明细
        /// </summary>
        [ApiMember(Description = "检测明细")]
        public List<Detail> ITEMS { get; set; }
    }

    public class Detail
    {
        /// <summary>
        /// 成品颜色或物料颜色
        /// </summary>
        [ApiMember(Description = "成品颜色或物料颜色")]
        public string F1_DISPLAY { get; set; }

        /// <summary>
        /// 检测部位
        /// </summary>
        [ApiMember(Description = "检测部位")]
        public string CHECK_PART_DISPLAY { get; set; }

        /// <summary>
        /// 检测项
        /// </summary>
        [ApiMember(Description = "检测项")]
        public string ITEM_NAME { get; set; }

        /// <summary>
        /// 检测项补充信息
        /// </summary>
        [ApiMember(Description = "检测项补充信息")]
        public string ITEM_DESC { get; set; }

        /// <summary>
        /// 测试方法
        /// </summary>
        [ApiMember(Description = "测试方法")]
        public string ITEM_STANDARD { get; set; }

        /// <summary>
        /// 标准值及允差
        /// </summary>
        [ApiMember(Description = "标准值及允差")]
        public string ITEM_SPEC { get; set; }

        /// <summary>
        /// 检测项判定(1-合格,2-不合格,4-实测)
        /// </summary>
        [ApiMember(Description = "检测项判定(1-合格,2-不合格,4-实测)")]
        public string RESULT { get; set; }

        /// <summary>
        /// 检测结果
        /// </summary>
        [ApiMember(Description = "检测结果")]
        public string RESULT_REMARK { get; set; }

        /// <summary>
        /// 检测机构检测项目唯一标识
        /// </summary>
        [ApiMember(Description = "检测机构检测项目唯一标识")]
        public string S_CHECK_ITEM_CODE { get; set; }
    }

    public class OrderResultData
    {
        public OrderResult DATA { get; set; }
    }
    public class OrderResult
    {
        /// <summary>
        /// 单据编号
        /// </summary>
        [ApiMember(Description = "单据编号")]
        public string ORDER_NO { get; set; }

        /// <summary>
        /// 三方检测综合结论(1-合格,2-不合格,4-实测)
        /// </summary>
        [ApiMember(Description = "三方检测综合结论(1-合格,2-不合格,4-实测)")]
        public string RESULT { get; set; }

        /// <summary>
        /// 检测费用
        /// </summary>
        [ApiMember(Description = "检测费用")]
        public string CHECK_FEE { get; set; }

        /// <summary>
        /// 报告明细
        /// </summary>
        [ApiMember(Description = "报告明细")]
        public List<ReportDetail> RPT_ITEMS { get; set; }
    }

    public class OrderPdfData
    {
        public List<OrderPdf> DATA { get; set; }
    }

    public class OrderPdf
    {
        /// <summary>
        /// 报告号
        /// </summary>
        [ApiMember(Description = "报告号")]
        public string RPT_NO { get; set; }

        /// <summary>
        /// URL地址
        /// </summary>
        [ApiMember(Description = "URL地址")]
        public string URL { get; set; }
    }
}
